#ifndef __DRAW_H__
#define __DRAW_H__

#include "fixedint.h"

/* Declaration of pixel formats */
#define NUMPIXELFORMATS                    9
#define DEFAULT_PIXELFORMAT                5
#define PIXELFORMAT_1BIT_GRAY         0x0001
#define PIXELFORMAT_2BIT_GRAY         0x0002
#define PIXELFORMAT_4BIT_GRAY         0x0004
#define PIXELFORMAT_4BIT_GRAY_REVERSE 0x1004
#define PIXELFORMAT_8BIT_GRAY         0x0008
#define PIXELFORMAT_16BIT_XRGB1555    0x0010
#define PIXELFORMAT_16BIT_RGB565      0x0110
#define PIXELFORMAT_24BIT_RGB888      0x0018
#define PIXELFORMAT_32BIT_XRGB8888    0x0020
extern const INTU16 pixelformats[NUMPIXELFORMATS];
extern const char *pixelformatnames[NUMPIXELFORMATS];

/* Function Declarations */
int drawscreen(INTU8 *file, INTU32 filesize, INTU32 offset, INTU8 offset_b,
               INTU32 width, INTU16 informat, INTU8 *output, INTU32 outwidth,
               INTU32 outheight, INTU16 outformat, INTU32 scalefactor);

#endif

