#ifndef __INPUT_H__
#define __INPUT_H__

#include "fixedint.h"

/* States of the program */
#define PROGSTATE_NORMAL       0 /* Normal input mode */
#define PROGSTATE_HELPSCREEN   1 /* Showing the help screen */
#define PROGSTATE_SET_WIDTH    2 /* Entering the width as text */
#define PROGSTATE_SET_OFFSET   3 /* Entering the offset as text */
#define PROGSTATE_SET_SAVEPATH 4 /* Entering path to save the screenshot */

/* Size of the input buffer */
#define INBUFSIZE 64

/* Struct that holds the parameters the thread needs to run */
struct input_thread_parameters
{
	INTU32 *offset;
	INTU8  *offset_b;
	INTU32 *width;
	INTU16 *format;
	INTU32 *scalefactor;
	int *progstate;
	INTU8 *redraw;
	INTU8 *end_program;
	INTU8 *hide_hud;
	INTU8 *hud_hex;
	int *retval;
	INTU32 filesize;
};

/* Function Declarations */
int terminal_init(void);
int terminal_uninit(void);
void inputThread(void *in);

#endif
